Check if a business is open

GET
/v1/business-hours/schedules/{scheduleId}/status

Check if a business is open either right now or at the specified timestamp. When the business is open, closesAt holds the end of the current open interval and opensAt is null. When it is closed, opensAt holds the start of the next open interval — if there is one within the next year — and closesAt is null.

Authorization

ApiKeyAuth
headerAuthorization<token>

Path Parameters

scheduleId*string

Query Parameters

timestamp?string

An optional timestamp in ISO-8601 format: yyyy-MM-dd'T'HH:mm:ss'Z' to check if the business is open at a specific time. If not specified, the current time is used.

Formatdate-time

Response Body

The business hours status

application/json
  1. response
data*
Example Request
curl -X GET 'https://dev.dixa.io/v1/business-hours/schedules/{scheduleId}/status' \  -H 'Authorization: <API token>'
{
"data": {
"isOpen": true,
"timestamp": "2025-01-08T08:31:25Z",
"closesAt": "2025-01-08T17:00:00Z"
}
}